# ci-tools-lib

Various toolchain bits and pieces shared between projects

# Quickstart
Create top-level Makefile
```
REGISTRY := <your-registry>
IMAGE := <image_name>
REGION := <AWS region of your registry>

include .ci/podman.mk
```

Add subtree to your project:
```
git subtree add --prefix .ci https://git.zero-downtime.net/ZeroDownTime/ci-tools-lib.git master --squash
```


## Jenkins
Shared groovy libraries

## Make
Common Makefile include

# Mermaid test
```mermaid
stateDiagram-v2
   [*] --> select_date
   select_date --> select_time
   select_time --> current_status
   current_status --> cancel: status_available
   current_status --> [*]: status_over
   cancel --> [*]
```
